Subject: Re: [PATCH 0/8] CMake build system for git

From: Danh Doan <[email-masked]>
Date: Sat, 2 May 2020 22:02:00 +0700

On 2020-05-02 20:20:50+0530, Sibi Siddharthan <[email-masked]> wrote:
> On Sat, May 2, 2020 at 6:51 PM Danh Doan <[email-masked]> wrote:
> The thing with options in cmake is the values it takes are boolean only.
> To do what you want I think you have to do something along the lines of this.
> if(NOT DEFINED SHELL_PATH)
> set(SHELL_PATH  <default value> CACHE STRING "path to POSIX compliance shell")
> endif()
> 
> Then if you want to change this value, edit this value in CMakeCache.txt.

Ah, this is what I mean, I think it's better to use this (without
if_not_define)

	set(SHELL_PATH  "/bin/sh" CACHE PATH "path to POSIX compliance shell")

Then, we can use this:

	cmake -DSHELL_PATH=/path/to/good/sh ...

-- 
Danh